SDL_uikitview Class Reference

`#import <SDL_uikitview.h>`

Inheritance diagram for SDL_uikitview:
[legend]
Collaboration diagram for SDL_uikitview:
[legend]

## Instance Methods

(instancetype) | - initWithFrame:
(void) | - setSDLWindow:
(CGPoint) | - touchLocation:shouldNormalize:
(void) | - touchesBegan:withEvent:
(void) | - touchesEnded:withEvent:
(void) | - touchesMoved:withEvent:

## Detailed Description

Definition at line 28 of file SDL_uikitview.h.

## Method Documentation

## initWithFrame:()

- (instancetype) initWithFrame: |  | (CGRect) | frame |

## setSDLWindow:()

- (void) setSDLWindow: |  | (SDL_Window *) | window |

## touchesBegan:withEvent:()

- (void) touchesBegan: |  | (NSSet *) | touches
withEvent: |  | (UIEvent *) | event

## touchesEnded:withEvent:()

- (void) touchesEnded: |  | (NSSet *) | touches
withEvent: |  | (UIEvent *) | event

## touchesMoved:withEvent:()

- (void) touchesMoved: |  | (NSSet *) | touches
withEvent: |  | (UIEvent *) | event

## touchLocation:shouldNormalize:()

- (CGPoint) touchLocation: |  | (UITouch *) | touch
shouldNormalize: |  | (BOOL) | normalize

The documentation for this class was generated from the following file:

- src/video/uikit/SDL_uikitview.h